package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "feedback")
public class Feedback {

    /**
     * 主键
     */
    @Id
    private  Integer id;

    /**
     * 创建时间
     */
    @Column(name = "create_time",nullable = false)
    private Date createTime;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "is_deleted",nullable = false)
    private boolean isDeleted;

    /**
     * 处理状态（1-待处理，2-已处理）
     */
    @Column(name = "status",nullable = false)
    private Integer status;

    /**
     *反馈内容
     */
    @Column(name = "content",nullable = false)
    private String  content;

    /**
     *备注
     */
    @Column(name = "remark")
    private String  remark;

    /**
     *用户表主键 id
     */
    @Column(name = "user_id",nullable = false)
    private Integer  userId;


    /**
     *反馈来源：1:安卓端，2:ios端,3:pc端
     */
    @Column(name = "origin",nullable = false)
    private Integer  origin;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public boolean isDeleted() {
        return isDeleted;
    }

    public void setDeleted(boolean deleted) {
        isDeleted = deleted;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getOrigin() {
        return origin;
    }

    public void setOrigin(Integer origin) {
        this.origin = origin;
    }
}
